Subject: Re: bug#29360: Add full-buffer choice for `isearch-lazy-highlight'

From: Juri Linkov <[email-masked]>
Date: Mon, 29 Oct 2018 00:34:32 +0200

>> I guess that since your patch to the bug thread you just renamed
>> isearch-lazy-highlight-buffer to lazy-highlight-buffer and you
>> renamed isearch-lazy-highlight-buffer-p to
>> isearch-lazy-highlight-buffer.

I renamed isearch-lazy-highlight-buffer to lazy-highlight-buffer
after realizing that the same feature might be needed also in
query-replace, therefore generalized it by removing the prefix
isearch-.

> Hm.  Seems like you also removed `isearch-lazy-highlight-match-function',
> which was present in your patches.  Why is that?  I know that you
> you used only `isearch-lazy-highlight-match' as the value, but did
> you have something else in mind for it?  Can I expect that you will
> add back that variable?

I strive to keep my changes as minimal as possible to not introduce
unused variables.  However, if you can demonstrate a real need
we could add it when necessary.